<script>

</script>

<template>
  <a class="struktura" data-bs-toggle="offcanvas" href="#offcanvasExample" role="button" aria-controls="offcanvasExample">
	<span>
		<span></span>
		<span></span>
		<span></span>
	</span>
  </a>

  <div class="offcanvas offcanvas-start" tabindex="-1" id="offcanvasExample" aria-labelledby="offcanvasExampleLabel">
    <div class="offcanvas-header">
      <h5 class="offcanvas-title" id="offcanvasExampleLabel">Содержание</h5>
      <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Закрыть"></button>
    </div>
    <div class="offcanvas-body">
      <div>
        <ul class="menu-blocks-list">
          <li class="menu-block">
            <h2 class="menu-block__title">1. Введение</h2>
            <ul class="menu-block__items-list">
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">1.1.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Как устроен хендбук</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">1.2.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Введение</a>
              </li>
            </ul>
          </li>
          <li class="menu-block">
            <h2 class="menu-block__title">2. Базовые конструкции Python</h2>
            <ul class="menu-block__items-list">
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">2.1.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Ввод и&nbsp;вывод данных. Операции с&nbsp;числами, строками. Форматирование</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">2.2.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Условный оператор</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">2.3.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Циклы</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">2.4.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Вложенные циклы</a>
              </li>
            </ul>
          </li>
          <li class="menu-block">
            <h2 class="menu-block__title">3. Коллекции и&nbsp;работа с&nbsp;памятью</h2>
            <ul class="menu-block__items-list">
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">3.1.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Строки, кортежи, списки</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">3.2.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Множества, словари</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">3.3.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Списочные выражения. Модель памяти для типов языка Python</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">3.4.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Встроенные возможности по&nbsp;работе с&nbsp;коллекциями</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">3.5.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Потоковый ввод/вывод. Работа с&nbsp;текстовыми файлами. JSON</a>
              </li>
            </ul>
          </li>
          <li class="menu-block">
            <h2 class="menu-block__title">4. Функции и&nbsp;их&nbsp;особенности в&nbsp;Python</h2>
            <ul class="menu-block__items-list">
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">4.1.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Функции. Области видимости. Передача параметров в&nbsp;функции</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">4.2.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Позиционные и&nbsp;именованные аргументы. Функции высших порядков. Лямбда-функции</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">4.3.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Рекурсия. Декораторы. Генераторы</a>
              </li>
            </ul>
          </li>
          <li class="menu-block">
            <h2 class="menu-block__title">5. Объектно-ориентированное программирование</h2>
            <ul class="menu-block__items-list">
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">5.1.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Объектная модель Python. Классы, поля и&nbsp;методы</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">5.2.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Волшебные методы, переопределение методов. Наследование</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">5.3.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Модель исключений Python. Try, except, else, finally. Модули</a>
              </li>
            </ul>
          </li>
          <li class="menu-block">
            <h2 class="menu-block__title">6. Библиотеки для получения и&nbsp;обработки данных</h2>
            <ul class="menu-block__items-list">
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">6.1.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Модули math и&nbsp;numpy</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">6.2.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Модуль pandas</a>
              </li>
              <li class="menu-item menu-item_article">
                <span class="menu-item__label">6.3.</span>
                <a class="menu-item__link" href="/kurs-python-razrabotchik/vvod-i-vyvod-dannykh-operatsii-s-chislami-strokami-formatirovaniye.php">Модуль requests</a>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </div>
  </div>
</template>
